Rig Manager for Windows 7

  • Hi,

    I would like to know if it's possible to get an older version of the Rig Manager; My PC is running Windows 7 64 bit, with Reason 11 and lots of other tailor-made softwre installed.

    Upgrading to Windows 8 or 10 is not an option :thumbdown:, as I really don't like these OS's at all.


    Anyone can lead me to where the former version of the Rig Manager hides out?


    Kind regards,

    Vincent

  • What is it that you dislike about Windows 10 Vincent? I've heard and read that Windows 10 is a better solution than 7 was for audio now. Others that run that OS can verify this im sure (I run a Mac on Catalina OS). Good luck in your search!

    If you use FRFR the benefit of a merged profile is that the cabinet is totally separated in the profile.


    For my edification only... :D Kemper/Helix user

  • Sollazzon, first please excuse me for misposting...I'm here since yesterday and a bit lost in the labyrinth of threads...nonetheless thanks so very much, I will try this link as soon as I get home tonight!

    Have a great weekend to you all :)

  • I have Windows 10 on my music production only desktop and it works flawlessly.

    By now Windows 7 is a security risk.

    Thanks for jumping in Don, all these helping hands give ma a very solid opinion on this community....yes you're right (ofcourse) we're in 2020 so it would be time to let go of W7 !!

    I might actually consider doing so...;)

  • you're right (ofcourse) we're in 2020 so it would be time to let go of W7 !!

    I might actually consider doing so...

    And it is worth anyway Vincent. If it would be just for the looks there are some tweaks and little helpers you can install which give you your Win7 flavour back. But the increased security (even just by the support with updates which is gone now for Win7) and overall stability etc. are really worth considering. I was a late adopter as well but the end of the support for Win7 definitely brought me there and I'm quite happy with Win10 now.

  • Remember that if you stay with ab ildet version of RM you won't be abke to use it with the latest OS for things like tje new Drive fx etc.

    Now that's an interesting point; Would i still be able to do the 'profile administration' bit? I would always do the actual rig setup directly on the Kemper, except the profile organisation, renaming, creating personal folders etc.

    BTW checked out you YT channel there are some interesting video's there :thumbup:

  • Now that's an interesting point; Would i still be able to do the 'profile administration' bit? I would always do the actual rig setup directly on the Kemper, except the profile organisation, renaming, creating personal folders etc.

    BTW checked out you YT channel there are some interesting video's there :thumbup:

    functionality and bug fixes are always incorporated in newer versions.


    be aware that there is no support for older OS versions or older versions for RM - many possible issues were fixed in later versions, so the troubleshooting route will always be -> update to the latest release version.

  • be aware that there is no support for older OS versions or older versions for RM - many possible issues were fixed in later versions, so the troubleshooting route will always be -> update to the latest release version.

    I am aware of that, for now I'm just getting started...and loving the Kemper :love:!!

  • Vincent Buuron thanks ?


    As for RM etc, when you plug in a profiler with a new OS such as thw OS8 beta for example, RM says youneed to update. You definitely couldn't use the editor without the new RM but I don't know for sure whether (or how) you would manage rigs thwn transfer these to a profiler running a newer OS.

  • So now Im blocked in some sort of dillemma; I wish to download the last OS (the beta-version) but wish to continue using the 'old' RM...would this be compatible? Please bare in mind that I only need the RM to import rigs and stuff, I do all the tweaking on the (extremely well laid-out) Kemper head.


    EDIT: I just read that the new oS updates require the latest version of the RM, so I guess this closes the issue

  • I have Windows 10 on my music production only desktop and it works flawlessly.

    hi, i bought my kemper in 2013 and in the required hardware it said "w7", not "w10 only". My current laptop from 2016 has a video card incompatible with w10. My producer, for example, works on a mac dating from 2009 in his professional studio (2 gold records to his credit). Many of us use w7. It would be a good idea to make RM W7 compatible. (Another funny example: I know 4 studios which bought melodyne5 but which use a hacked version compatible w7 ...)

  • hi, i bought my kemper in 2013 and in the required hardware it said "w7", not "w10 only". My current laptop from 2016 has a video card incompatible with w10. My producer, for example, works on a mac dating from 2009 in his professional studio (2 gold records to his credit). Many of us use w7. It would be a good idea to make RM W7 compatible. (Another funny example: I know 4 studios which bought melodyne5 but which use a hacked version compatible w7 ...)


    And it wouldn't be a great problem to do so for the developers

    How is this still an issue? W7 is on OS that was EOL'd almost a year ago. It is actually illegal to use it in the medical field in the US. If your system is connected to the internet it is a security risk. If you are recording with it that is basically the equivalent of storing your masters on an open front porch for anyone to come help themselves to. No software manufacturers anywhere (with the exception of backup companies) are still writing software for Windows 7.

  • hi, i bought my kemper in 2013 and in the required hardware it said "w7", not "w10 only". My current laptop from 2016 has a video card incompatible with w10. My producer, for example, works on a mac dating from 2009 in his professional studio (2 gold records to his credit). Many of us use w7. It would be a good idea to make RM W7 compatible. (Another funny example: I know 4 studios which bought melodyne5 but which use a hacked version compatible w7 ...)

    The RM is not mandatory to use the PROFILER.

    Windows 10 was released in June 2015, so it would have been pretty hard to put that on an announcement for a product released in 2012, even if that were applicable (see above).

    Even more of us don't use Windows 7 anymore (and I admit to have been a XP user for a long time myself) - Windows 10 is a superb OS, if you know your way around disabling unnecessary functions/visual effects or simply use google to help you out ;)

    and btw. there was very much the same debate going on when Windows7 replaced XP ;)

  • There will be no Windows 7 compatible version of Rig Manager 3. And sooner than later, Windows 10 will be the minimum. We can see from our download logs how many of you still work with Windows 7, let's just say, it is a really small percentage of our user base.


    If you decide to keep working on Windows 7, a compatible Rig Manager version can be found here:


    https://www.kemper-amps.com/do…8/Older-Software-Versions


    Rig Manager 2.3 is compatible with Profiler OS 7.1.5 .- newer versions need a newer Rig Manager which is not Windows 7 compatible anymore.